Pango::FontFamily Class Reference

A Pango::FontFamily is used to represent a family of related font faces. More...

`#include <pangomm/fontfamily.h>`

Inheritance diagram for Pango::FontFamily:
[legend]

## Public Member Functions

| FontFamily (FontFamily && src) noexcept
FontFamily & | operator= (FontFamily && src) noexcept
| ~FontFamily () noexcept override
PangoFontFamily * | gobj ()
| Provides access to the underlying C GObject.
const PangoFontFamily * | gobj () const
| Provides access to the underlying C GObject.
PangoFontFamily * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ArrayHandle< Glib::RefPtr< FontFace > > | list_faces () const
| Lists the different font faces that make up family.
Glib::ustring | get_name () const
| Gets the name of the family.
bool | is_monospace () const
| A monospace font is a font designed for text display where the the characters form a regular grid.
bool | is_variable () const
| A variable font is a font which has axes that can be modified to produce different faces.
Glib::RefPtr< FontFace > | get_face (const Glib::ustring & name={})
| Gets the Pango::FontFace of family with the given name.
Glib::RefPtr< const FontFace > | get_face (const Glib::ustring & name={}) const
| Gets the Pango::FontFace of family with the given name.

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Symbols

(Note that these are not member symbols.)
Glib::RefPtr< Pango::FontFamily > | wrap (PangoFontFamily * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Pango::FontFamily is used to represent a family of related font faces.

The faces in a family share a common design, but differ in slant, weight, width and other aspects.

## Constructor & Destructor Documentation

## FontFamily()

Pango::FontFamily::FontFamily | ( | FontFamily && | src | ) |

noexcept

## ~FontFamily()

Pango::FontFamily::~FontFamily | ( |  | ) |

override noexcept

## Member Function Documentation

## get_face() [1/2]

Glib::RefPtr< FontFace > Pango::FontFamily::get_face | ( | const Glib::ustring & | name = {} | ) |

Gets the Pango::FontFace of family with the given name.

Since pangomm 1.46

Parameters

  name | The name of a face. If the name is nullptr, the family's default face (fontconfig calls it "Regular") will be returned.

Returns
  The Pango::FontFace, or nullptr if no face with the given name exists.

## get_face() [2/2]

Glib::RefPtr< const FontFace > Pango::FontFamily::get_face | ( | const Glib::ustring & | name = {} | ) | const

Gets the Pango::FontFace of family with the given name.

Since pangomm 1.46

Parameters

  name | The name of a face. If the name is nullptr, the family's default face (fontconfig calls it "Regular") will be returned.

Returns
  The Pango::FontFace, or nullptr if no face with the given name exists.

## get_name()

Glib::ustring Pango::FontFamily::get_name | ( |  | ) | const

Gets the name of the family.

The name is unique among all fonts for the font backend and can be used in a Pango::FontDescription to specify that a face from this family is desired.

Returns
  The name of the family. This string is owned by the family object and must not be modified or freed.

## get_type()

GType Pango::FontFamily::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

## gobj() [1/2]

PangoFontFamily * Pango::FontFamily::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

## gobj() [2/2]

const PangoFontFamily * Pango::FontFamily::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

## gobj_copy()

PangoFontFamily * Pango::FontFamily::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## is_monospace()

bool Pango::FontFamily::is_monospace | ( |  | ) | const

A monospace font is a font designed for text display where the the characters form a regular grid.

For Western languages this would mean that the advance width of all characters are the same, but this categorization also includes Asian fonts which include double-width characters: characters that occupy two grid cells. Glib::unichar_iswide() returns a result that indicates whether a character is typically double-width in a monospace font.

The best way to find out the grid-cell size is to call Pango::FontMetrics::get_approximate_digit_width(), since the results of Pango::FontMetrics::get_approximate_char_width() may be affected by double-width characters.

Since pangomm 1.4

Returns
  true if the family is monospace.

## is_variable()

bool Pango::FontFamily::is_variable | ( |  | ) | const

A variable font is a font which has axes that can be modified to produce different faces.

Since pangomm 1.44

Returns
  true if the family is variable.

## list_faces()

Glib::ArrayHandle< Glib::RefPtr< FontFace > > Pango::FontFamily::list_faces | ( |  | ) | const

Lists the different font faces that make up family.

The faces in a family share a common design, but differ in slant, weight, width and other aspects.

Returns
  an array of pointers to Pango::FontFace objects.

## operator=()

FontFamily & Pango::FontFamily::operator= | ( | FontFamily && | src | ) |

noexcept

## Friends And Related Symbol Documentation

## wrap()

Glib::RefPtr< Pango::FontFamily > wrap | ( | PangoFontFamily * | object,
|  | bool | take_copy = false )

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.